FrameTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.html.FrameTag,FrameTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class FrameTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.html.BaseHandlerTag
                        |
                        +--org.apache.struts.taglib.html.LinkTag
                              |
                              +--org.apache.struts.taglib.html.FrameTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class FrameTag
extends LinkTag

Generate an HTML `<frame>` tag with similar capabilities as those the `<html:link>` tag provides for hyperlink elements. The `src` element is rendered using the same technique that `LinkTag` uses to render the `href` attribute of a hyperlink. Additionall, the HTML 4.0 frame tag attributes `noresize`, `scrolling`, `marginheight`, `marginwidth`, `frameborder`, and `longdesc` are supported. The frame `name` attribute is rendered based on the `frameName` property. Note that the value of `longdesc` is intended to be a URI, but currently no rewriting is supported. The attribute is set directly from the property value.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-26 13:57:44 +0100 (Tue, 26 Aug 2003) $
Author:
  Joe Germuska, Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `frameborder` The frameborder attribute that should be rendered (1, 0).
`protected java.lang.String` | `frameName` The `name` attribute that should be rendered for this frame.
`protected java.lang.String` | `longdesc` URI of a long description of this frame (complements title).
`protected int` | `marginheight` The margin height in pixels, or zero for no setting.
`protected int` | `marginwidth` The margin width in pixels, or zero for no setting.
`protected boolean` | `noresize` Should users be disallowed to resize the frame?
`protected java.lang.String` | `scrolling` What type of scrolling should be supported (yes, no, auto)?

Fields inherited from class org.apache.struts.taglib.html.LinkTag
`action, anchor, forward, href, indexId, linkName, messages, name, page, paramId, paramName, paramProperty, paramScope, property, scope, target, text, transaction`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, defaultLocale, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FrameTag()`

Method Summary
`int` | `doEndTag()` Ignore the end of this tag.
`int` | `doStartTag()` Render the appropriately encoded URI.
`java.lang.String` | `getFrameborder()`
`java.lang.String` | `getFrameName()`
`java.lang.String` | `getLongdesc()`
`int` | `getMarginheight()`
`int` | `getMarginwidth()`
`boolean` | `getNoresize()`
`java.lang.String` | `getScrolling()`
`void` | `release()` Release any acquired resources.
`void` | `setFrameborder(java.lang.String frameborder)`
`void` | `setFrameName(java.lang.String frameName)`
`void` | `setLongdesc(java.lang.String longdesc)`
`void` | `setMarginheight(int marginheight)`
`void` | `setMarginwidth(int marginwidth)`
`void` | `setNoresize(boolean noresize)`
`void` | `setScrolling(java.lang.String scrolling)`

Methods inherited from class org.apache.struts.taglib.html.LinkTag
`calculateURL, doAfterBody, getAction, getAnchor, getForward, getHref, getIndexId, getLinkName, getName, getPage, getParamId, getParamName, getParamProperty, getParamScope, getProperty, getScope, getTarget, getTransaction, setAction, setAnchor, setForward, setHref, setIndexId, setLinkName, setName, setPage, setParamId, setParamName, setParamProperty, setParamScope, setProperty, setScope, setTarget, setTransaction`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`getAccesskey, getAlt, getAltKey, getBundle, getDisabled, getElementClose, getIndexed, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareKeyEvents, prepareMouseEvents, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDisabled, setIndexed, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### frameborder

    protected java.lang.String frameborder

  The frameborder attribute that should be rendered (1, 0).

### frameName

    protected java.lang.String frameName

  The `name` attribute that should be rendered for this frame.

### longdesc

    protected java.lang.String longdesc

  URI of a long description of this frame (complements title).

### marginheight

    protected int marginheight

  The margin height in pixels, or zero for no setting.

### marginwidth

    protected int marginwidth

  The margin width in pixels, or zero for no setting.

### noresize

    protected boolean noresize

  Should users be disallowed to resize the frame?

### scrolling

    protected java.lang.String scrolling

  What type of scrolling should be supported (yes, no, auto)?

Constructor Detail

### FrameTag

    public FrameTag()

Method Detail

### getFrameborder

    public java.lang.String getFrameborder()

### setFrameborder

    public void setFrameborder(java.lang.String frameborder)

### getFrameName

    public java.lang.String getFrameName()

### setFrameName

    public void setFrameName(java.lang.String frameName)

### getLongdesc

    public java.lang.String getLongdesc()

### setLongdesc

    public void setLongdesc(java.lang.String longdesc)

### getMarginheight

    public int getMarginheight()

### setMarginheight

    public void setMarginheight(int marginheight)

### getMarginwidth

    public int getMarginwidth()

### setMarginwidth

    public void setMarginwidth(int marginwidth)

### getNoresize

    public boolean getNoresize()

### setNoresize

    public void setNoresize(boolean noresize)

### getScrolling

    public java.lang.String getScrolling()

### setScrolling

    public void setScrolling(java.lang.String scrolling)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Render the appropriately encoded URI.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `LinkTag`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Ignore the end of this tag.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `LinkTag`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `LinkTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation